<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:09 CEST 2021 -->
<title>Uses of Class back.CarteChance</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class back.CarteChance";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../back/CarteChance.html" title="class in back">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?back/class-use/CarteChance.html" target="_top">Frames</a></li>
<li><a href="CarteChance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class back.CarteChance" class="title">Uses of Class<br>back.CarteChance</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../back/CarteChance.html" title="class in back">CarteChance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#back">back</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="back">
<!--   -->
</a>
<h3>Uses of <a href="../../back/CarteChance.html" title="class in back">CarteChance</a> in <a href="../../back/package-summary.html">back</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> that return <a href="../../back/CarteChance.html" title="class in back">CarteChance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../back/CarteChance.html" title="class in back">CarteChance</a></code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#getCarteChance--">getCarteChance</a></span>()</code>
<div class="block">Getter d'une carte chance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../back/CarteChance.html" title="class in back">CarteChance</a></code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#piocherCarte--">piocherCarte</a></span>()</code>
<div class="block">Ajout d'un carte chance à la liste d'un joueur.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> that return types with arguments of type <a href="../../back/CarteChance.html" title="class in back">CarteChance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#getCartesChances--">getCartesChances</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>javafx.collections.ObservableList&lt;<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#getChances--">getChances</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> with parameters of type <a href="../../back/CarteChance.html" title="class in back">CarteChance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#ajouterUneCarteChance-back.CarteChance-">ajouterUneCarteChance</a></span>(<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaire pour lancer la méthode ajouterCarteChance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#ajouterUneCarteChance-back.CarteChance-">ajouterUneCarteChance</a></span>(<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaires pour lancer la  méthode ajouterCarteChance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#existeChance-back.CarteChance-">existeChance</a></span>(<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode existeChance permet de tester si une carte chance est présente dans l'ArrayList chnaces</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#setCarteChance-back.CarteChance-">setCarteChance</a></span>(<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;chance)</code>
<div class="block">Setter d'une carte chance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Joueur.</span><code><span class="memberNameLink"><a href="../../back/Joueur.html#supprimerCarteChance-back.CarteChance-">supprimerCarteChance</a></span>(<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode supprimerCarteChance permet de supprimer une carte chance c de l'ArrayList de CarteChance.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../back/package-summary.html">back</a> with type arguments of type <a href="../../back/CarteChance.html" title="class in back">CarteChance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#setCartesChances-java.util.ArrayList-">setCartesChances</a></span>(java.util.ArrayList&lt;<a href="../../back/CarteChance.html" title="class in back">CarteChance</a>&gt;&nbsp;cartesChances)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../back/CarteChance.html" title="class in back">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?back/class-use/CarteChance.html" target="_top">Frames</a></li>
<li><a href="CarteChance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
